/*****************************************************************/

#include "system.h"

/*****************************************************************/

    static char LogFile[100]="Errores.log";

/*****************************************************************/
#if 0
void AssertReal(int cond,char*archivo,int linea)
{
    if (!cond)
    {
        Error(FatalError,"Error en Assert:%s %i",archivo,linea);
        exit(-1);
    }

};
#endif

/*****************************************************************/
void SetErrorFile(char*name)
{
    StrNCpy(LogFile,name,sizeof(LogFile));  
}

/*****************************************************************/
int Error(TIPO_DE_ERROR type, const char *fmt, ... )
{
const int size=1000;
va_list marker;
char buffer[size];
FILE*fp;
char dbuffer [10];
char tbuffer [10];

    //Abro el archivo de log
    fp=fopen(LogFile,"at");

    //Si hubo error al abrir termino. Tener en cuenta que esta es la funcion
    //de error, asi que no puedo informar del error.
    if (fp==NULL)
        return(TRUE);

    va_start( marker, fmt );
    vsprintf(buffer,fmt,marker);
    va_end( marker );


    //_strdate( dbuffer );
    //_strtime( tbuffer );
    dbuffer[0]=tbuffer[0]=0;

    fprintf(fp,"%s %s: %s\n",dbuffer,tbuffer,buffer);
    fprintf(stderr,"%s %s: %s\n",dbuffer,tbuffer,buffer);
    fclose(fp);

    if (type==FatalError)
    {
        fprintf(stderr,"Presione una tecla para terminar...\n");
        //ClearTypeAhead();
        Terminar(-1);
    }
    return(TRUE);
}

/*****************************************************************/
/*****************************************************************/
/*****************************************************************/
/*****************************************************************/
