#ifndef Error_Header_Included
#define Error_Header_Included

/*****************************************************************/
    enum TIPO_DE_ERROR
    {
        FatalError,
        Warning
    };

    int  Error(TIPO_DE_ERROR type,const char *fmt, ... );
    void SetErrorFile(char*name);

    void inline AssertReal(int cond,char*archivo,int linea)
    {
        if (!cond)
        {
            Error(FatalError,"Error en Assert:%s %i",archivo,linea);
            exit(-1);
        }

    }

#define Assert(x) AssertReal(x,__FILE__,__LINE__)
//#define   Assert(x)

/*****************************************************************/

#endif




